---
updatedAt: 2026-05-27T16:40:10.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# reserveSeats

This method will allow to select seat, before ticketing.

## Request parameters

| Parameter | Type     | Description   |
| :-------- | :------- | :------------ |
| bookingid | Number\* | The bookingid |
| flightid  | Number\* | The flightid  |
| paxnum    | Number\* | The paxid     |
| seatname  | String\* | The seat name |

> ❗️ - Mandatory parameters

## Response

The method will response with a list of seat fares in the flight

| Parameter | Type    | Description                     |
| :-------- | :------ | :------------------------------ |
| success   |         | True/False                      |
| seatinfo  | Element | Reserved seat details           |
| pax\_id   | Number  | The paxid                       |
| invid     | Number  | The invid                       |
| seatname  | String  | The seat name                   |
| price     | Number  | The price of the seat           |
| sellinvid | Number  |                                 |
| sellinvid | Number  | The first name of the passenger |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/reserveSeats": {
      "post": {
        "summary": "reserveSeats",
        "description": "This method will allow to select seat, before ticketing.",
        "operationId": "reserveseats",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "reserveSeats": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"seatinfo\": {\n            \"pax_id\": \"1\",\n            \"invid\": 62847495,\n            \"seatname\": \"1X\",\n            \"price\": 0,\n            \"sellinvid\": 62847496\n        },\n        \"sellinvid\": 62847496\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "seatinfo": {
                          "type": "object",
                          "properties": {
                            "pax_id": {
                              "type": "string",
                              "example": "1"
                            },
                            "invid": {
                              "type": "integer",
                              "example": 62847495,
                              "default": 0
                            },
                            "seatname": {
                              "type": "string",
                              "example": "1X"
                            },
                            "price": {
                              "type": "integer",
                              "example": 0,
                              "default": 0
                            },
                            "sellinvid": {
                              "type": "integer",
                              "example": 62847496,
                              "default": 0
                            }
                          }
                        },
                        "sellinvid": {
                          "type": "integer",
                          "example": 62847496,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```